﻿namespace LOHDemo
{
	public interface IHost
	{
		/// <summary>
		/// Display a message plus the current amount of memory used
		/// </summary>
		/// <param name="log"></param>
		void MemoryUsed(string log);

		/// <summary>
		/// Display an error message
		/// </summary>
		/// <param name="log"></param>
		void Error(string log);

		/// <summary>
		/// Display a starting test message
		/// </summary>
		/// <param name="log"></param>
		void StartTest(string log);
	}
}
